Skip to content

List Custom Object Instances

Request

List instances of a custom object type. Three modes are supported:

  • No filter — returns all instances for the type.
  • references_contact_id — returns instances associated with the given contact.
  • references_conversation_id — returns instances associated with the given conversation.

When external_id is provided, returns a single matching instance (not a list).

Security
bearerAuth
Path
custom_object_type_identifierstringrequired

The unique identifier of the custom object type that defines the structure of the custom object instance.

Example:Order
Query
references_contact_idstring

Return instances associated with the given contact ID.

references_conversation_idstring

Return instances associated with the given conversation ID.

external_idstring

Return the single instance with this external ID. When provided, the response is a single object rather than a list.

pageinteger

Page number of results to fetch.

per_pageinteger, <= 150

Number of results per page. Maximum 150.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/custom_object_instances/Order?references_contact_id=string&references_conversation_id=string&external_id=string&page=0&per_page=150' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

total_countinteger

A count of the total number of custom object instances.

Example:2
dataArray of objects(Custom Object Instance)

An array of Custom Object Instance objects.

Response
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 }, "total_count": 2, "data": [ {}, {} ] }